tbb::internal::allocator_base< T, A > Class Template Reference

`#include <concurrent_vector.h>`

Inheritance diagram for tbb::internal::allocator_base< T, A >:
Collaboration diagram for tbb::internal::allocator_base< T, A >:

## Public Types

typedef tbb::internal::allocator_rebind< A, T >::type | allocator_type

## Public Member Functions

| allocator_base (const allocator_type &a=allocator_type())

## Public Attributes

allocator_type | my_allocator

## Detailed Description

### template<typename T, class A>
class tbb::internal::allocator_base< T, A >

Definition at line 477 of file concurrent_vector.h.

## Member Typedef Documentation

## allocator_type

template<typename T, class A>

typedef tbb::internal::allocator_rebind<A, T>::type tbb::internal::allocator_base< T, A >::allocator_type

Definition at line 479 of file concurrent_vector.h.

## Constructor & Destructor Documentation

## allocator_base()

template<typename T, class A>

tbb::internal::allocator_base< T, A >::allocator_base | ( | const allocator_type & | a = `allocator_type()` | ) |

inline

Definition at line 481 of file concurrent_vector.h.

: my_allocator(a) {}

## Member Data Documentation

## my_allocator

template<typename T, class A>

allocator_type tbb::internal::allocator_base< T, A >::my_allocator

Definition at line 480 of file concurrent_vector.h.

Referenced by tbb::concurrent_vector< padded_element, padded_allocator_type >::get_allocator(), tbb::concurrent_vector< padded_element, padded_allocator_type >::internal_allocator(), tbb::concurrent_vector< padded_element, padded_allocator_type >::operator=(), and tbb::concurrent_vector< padded_element, padded_allocator_type >::swap().

The documentation for this class was generated from the following file:

- concurrent_vector.h

tbb::internal::allocator_base::my_allocator
allocator_type my_allocator
Definition: concurrent_vector.h:480

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.